cURL
curl --request POST \
--url https://app-api.aide.app/v1/sender-rules \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"conditions": [
{
"op": "in",
"value": [
"[email protected]"
]
}
],
"exceptions": [
{
"op": "in",
"value": [
"[email protected]"
]
}
],
"relay": {
"email": "<string>",
"name": "<string>"
}
}
'import requests
url = "https://app-api.aide.app/v1/sender-rules"
payload = {
"name": "<string>",
"conditions": [
{
"op": "in",
"value": ["[email protected]"]
}
],
"exceptions": [
{
"op": "in",
"value": ["[email protected]"]
}
],
"relay": {
"email": "<string>",
"name": "<string>"
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
conditions: [{op: 'in', value: ['[email protected]']}],
exceptions: [{op: 'in', value: ['[email protected]']}],
relay: {email: '<string>', name: '<string>'}
})
};
fetch('https://app-api.aide.app/v1/sender-rules', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app-api.aide.app/v1/sender-rules",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'name' => '<string>',
'conditions' => [
[
'op' => 'in',
'value' => [
'[email protected]'
]
]
],
'exceptions' => [
[
'op' => 'in',
'value' => [
'[email protected]'
]
]
],
'relay' => [
'email' => '<string>',
'name' => '<string>'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://app-api.aide.app/v1/sender-rules"
payload := strings.NewReader("{\n \"name\": \"<string>\",\n \"conditions\": [\n {\n \"op\": \"in\",\n \"value\": [\n \"[email protected]\"\n ]\n }\n ],\n \"exceptions\": [\n {\n \"op\": \"in\",\n \"value\": [\n \"[email protected]\"\n ]\n }\n ],\n \"relay\": {\n \"email\": \"<string>\",\n \"name\": \"<string>\"\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://app-api.aide.app/v1/sender-rules")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"<string>\",\n \"conditions\": [\n {\n \"op\": \"in\",\n \"value\": [\n \"[email protected]\"\n ]\n }\n ],\n \"exceptions\": [\n {\n \"op\": \"in\",\n \"value\": [\n \"[email protected]\"\n ]\n }\n ],\n \"relay\": {\n \"email\": \"<string>\",\n \"name\": \"<string>\"\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://app-api.aide.app/v1/sender-rules")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"<string>\",\n \"conditions\": [\n {\n \"op\": \"in\",\n \"value\": [\n \"[email protected]\"\n ]\n }\n ],\n \"exceptions\": [\n {\n \"op\": \"in\",\n \"value\": [\n \"[email protected]\"\n ]\n }\n ],\n \"relay\": {\n \"email\": \"<string>\",\n \"name\": \"<string>\"\n }\n}"
response = http.request(request)
puts response.read_body{
"data": {
"object": "sender_rule",
"name": "<string>",
"match": "all",
"createdAt": "<string>",
"id": "<string>",
"updatedAt": "<string>",
"position": 123,
"enabled": true,
"outcome": "automated",
"conditions": [
{
"value": [
"customer"
],
"op": "in",
"field": "author"
}
],
"exceptions": [
{
"value": [
"customer"
],
"op": "in",
"field": "author"
}
],
"relay": {
"email": "<string>",
"name": "<string>"
},
"matches7d": 123,
"lastMatchedAt": "<string>"
}
}{
"error": {
"type": "api_error",
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"fields": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"type": "api_error",
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"fields": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"type": "api_error",
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"fields": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"type": "api_error",
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"fields": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"type": "api_error",
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"fields": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}
}SenderRule
Post v1sender rules
POST
/
v1
/
sender-rules
cURL
curl --request POST \
--url https://app-api.aide.app/v1/sender-rules \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"conditions": [
{
"op": "in",
"value": [
"[email protected]"
]
}
],
"exceptions": [
{
"op": "in",
"value": [
"[email protected]"
]
}
],
"relay": {
"email": "<string>",
"name": "<string>"
}
}
'import requests
url = "https://app-api.aide.app/v1/sender-rules"
payload = {
"name": "<string>",
"conditions": [
{
"op": "in",
"value": ["[email protected]"]
}
],
"exceptions": [
{
"op": "in",
"value": ["[email protected]"]
}
],
"relay": {
"email": "<string>",
"name": "<string>"
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
conditions: [{op: 'in', value: ['[email protected]']}],
exceptions: [{op: 'in', value: ['[email protected]']}],
relay: {email: '<string>', name: '<string>'}
})
};
fetch('https://app-api.aide.app/v1/sender-rules', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app-api.aide.app/v1/sender-rules",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'name' => '<string>',
'conditions' => [
[
'op' => 'in',
'value' => [
'[email protected]'
]
]
],
'exceptions' => [
[
'op' => 'in',
'value' => [
'[email protected]'
]
]
],
'relay' => [
'email' => '<string>',
'name' => '<string>'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://app-api.aide.app/v1/sender-rules"
payload := strings.NewReader("{\n \"name\": \"<string>\",\n \"conditions\": [\n {\n \"op\": \"in\",\n \"value\": [\n \"[email protected]\"\n ]\n }\n ],\n \"exceptions\": [\n {\n \"op\": \"in\",\n \"value\": [\n \"[email protected]\"\n ]\n }\n ],\n \"relay\": {\n \"email\": \"<string>\",\n \"name\": \"<string>\"\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://app-api.aide.app/v1/sender-rules")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"<string>\",\n \"conditions\": [\n {\n \"op\": \"in\",\n \"value\": [\n \"[email protected]\"\n ]\n }\n ],\n \"exceptions\": [\n {\n \"op\": \"in\",\n \"value\": [\n \"[email protected]\"\n ]\n }\n ],\n \"relay\": {\n \"email\": \"<string>\",\n \"name\": \"<string>\"\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://app-api.aide.app/v1/sender-rules")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"<string>\",\n \"conditions\": [\n {\n \"op\": \"in\",\n \"value\": [\n \"[email protected]\"\n ]\n }\n ],\n \"exceptions\": [\n {\n \"op\": \"in\",\n \"value\": [\n \"[email protected]\"\n ]\n }\n ],\n \"relay\": {\n \"email\": \"<string>\",\n \"name\": \"<string>\"\n }\n}"
response = http.request(request)
puts response.read_body{
"data": {
"object": "sender_rule",
"name": "<string>",
"match": "all",
"createdAt": "<string>",
"id": "<string>",
"updatedAt": "<string>",
"position": 123,
"enabled": true,
"outcome": "automated",
"conditions": [
{
"value": [
"customer"
],
"op": "in",
"field": "author"
}
],
"exceptions": [
{
"value": [
"customer"
],
"op": "in",
"field": "author"
}
],
"relay": {
"email": "<string>",
"name": "<string>"
},
"matches7d": 123,
"lastMatchedAt": "<string>"
}
}{
"error": {
"type": "api_error",
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"fields": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"type": "api_error",
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"fields": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"type": "api_error",
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"fields": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"type": "api_error",
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"fields": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"type": "api_error",
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"fields": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}
}Authorizations
An access token, bound to one account.
Body
application/json
Required string length:
1 - 120Required array length:
1 - 30 elements- Option 1
- Option 2
- Option 3
- Option 4
- Option 5
- Option 6
- Option 7
- Option 8
- Option 9
- Option 10
- Option 11
- Option 12
Show child attributes
Show child attributes
Available options:
customer, automated, ignore, form_submission, transcript Available options:
1, 1, true, true, on, 0, 0, false, false Available options:
all, any Maximum array length:
30- Option 1
- Option 2
- Option 3
- Option 4
- Option 5
- Option 6
- Option 7
- Option 8
- Option 9
- Option 10
- Option 11
- Option 12
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Response
Created
Show child attributes
Show child attributes